#include "CharBox.h"
#include "config.h"
#include "gettext.h"

CharBox::CharBox (char c)
{
	Gtk::EventBox *inner;
	Gtk::Label *l;
	Glib::ustring s (1, c);
	Glib::RefPtr<const Gtk::Style> style;
	
	inner = manage (new Gtk::EventBox ());
	l = manage (new Gtk::Label (s, Gtk::ALIGN_CENTER));
	
	inner->add (*l);
	inner->set_border_width (1);
	
	add (*inner);
	
	if (isalpha (c)) {
		this->ensure_style ();
		style = this->get_style ();
		this->modify_bg (Gtk::STATE_NORMAL, style->get_text (Gtk::STATE_NORMAL));
	}
	
	character = c;
}
