#ifndef __GTK_MULT_TABLE_H__
#define __GTK_MULT_TABLE_H__

#include <gtkmm.h>
#include "MultPuzzle.h"
#include "CharBox.h"

class GtkMultTable
	: public Gtk::Table
{
	public:
	
	GtkMultTable (MultPuzzle *p);
	~GtkMultTable (void);
	
	void restart (MultPuzzle *p);
	
	protected:
	
	MultPuzzle *puzzle;
	
	bool boxReleased (GdkEventButton *e);
	void addString (const char *str, int row, int offset);
	void redraw (void);
	
	class TableBox
		: public CharBox
	{
		public:
		
		TableBox (char c, MultPuzzle *p);
		
		protected:
		
		virtual bool on_button_release_event (GdkEventButton *e);
		
		private:
		
		MultPuzzle *puzzle;
	};
};

#endif /* __GTK_MULT_TABLE_H__ */
