#ifndef __GTK_MULT_H__
#define __GTK_MULT_H__

#include <gtkmm.h>
#include "MultPuzzle.h"

class GtkMult
	: public Gtk::Window
{
	public:
	
	GtkMult (void);
	~GtkMult (void);
	
	private:
	
	MultPuzzle *puzzle;
	Gtk::Widget *table;
	Gtk::VBox *vbox;
	Gtk::Statusbar *status;
	Gtk::Label *score;
	
	bool cheated;
	
	void new_puzzle (void);
	void update_score (void);
	virtual void on_puzzle_guess (char digit, char letter, int response);
	virtual void on_menu_deselect (void);
	virtual void on_menu_game_quit (void);
	virtual void on_menu_select_quit (void);
	virtual void on_menu_game_new (void);
	virtual void on_menu_select_new (void);
	virtual void on_menu_game_solve (void);
	virtual void on_menu_select_solve (void);
};

#endif /* __GTK_MULT_H__ */
